extends RichTextLabel

func _set_tip_text(card_info: Dictionary, _card_image: Image) -> void:
	text = card_info["name"] + " | " + card_info["type"] + "\n"
	text += card_info["desc"]

func _clear_tip_text() -> void:
	text = ""

func _ready() -> void:
	EventBus.connect("card_on_hover", _set_tip_text)
	EventBus.connect("card_on_unhover", _clear_tip_text)
